<?php
/**********************************************************************************
* Chat.php                                                                        *
***********************************************************************************
* Package: FlashChat Integration                                                  *
* =============================================================================== *
* Software Version:           FlashChat Integration 1.0                           *
* $Date:: 2007-05-05 22:40:23 +1000 (Sat, 05 May 2007)                          $ *
* $Revision:: 13                                                                $ *
* Software by:                Daniel15 (http://www.dansoftaustralia.net/)         *
* Copyright 2007 by:          Daniel15 (http://www.dansoftaustralia.net/)         *
* Support, News, Updates at:  http://mods.simplemachines.org/index.php?mod=611    *
*                                                                                 *
* Forum software by:          Simple Machines (http://www.simplemachines.org)     *
* Copyright 2006-2007 by:     Simple Machines LLC (http://www.simplemachines.org) *
*           2001-2006 by:     Lewis Media (http://www.lewismedia.com)             *
***********************************************************************************
* This program is free software; you may redistribute it and/or modify it under   *
* the terms of the provided license as published by Simple Machines LLC.          *
*                                                                                 *
* This program is distributed in the hope that it is and will be useful, but      *
* WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY    *
* or FITNESS FOR A PARTICULAR PURPOSE.                                            *
*                                                                                 *
* See the "license.txt" file for details of the Simple Machines license.          *
* The latest version of the license can always be found at                        *
* http://www.simplemachines.org.                                                  *
**********************************************************************************/
// If not called by SMF, it's bad!
if (!defined('SMF'))
	die('Hacking attempt...');
	
function Chat()
{
	global $boarddir, $context, $txt, $modSettings;
	// Needed for FlashChat
	global $db_server, $db_user, $db_passwd, $db_name, $db_prefix;
	
	// They're a guest? Don't let them in!
	is_not_guest($txt['fc_no_guests']);
	
	// Some settings
	$context['chat_width'] = (!empty($modSettings['fc_width']) ? $modSettings['fc_width'] : '100%');
	$context['chat_height'] = (!empty($modSettings['fc_height']) ? $modSettings['fc_height'] : '600');
	
	// Check if FlashChat is installed
	if (!file_exists($boarddir . '/chat/inc/common.php'))
		// No FlashChat? We can't do much, then!
		fatal_lang_error('fc_not_found');
	
	// Require the FlashChat stuff
	require($boarddir . '/chat/inc/common.php');
	
	// Are we displaying outside (not "inside") the forum?
	if (empty($modSettings['fc_inForum']))
	{
		// No layers, please!
		$context['template_layers'] = array();
		// Use the "chat" subtemplate
		$context['sub_template'] = 'chat';
	}
	// Otherwise, we're displaying inside the forum
	else
		$context['sub_template'] = 'chat_forum';
	
	// Set the page title
	$context['page_title'] = $txt['fc_chat'];
	// This is very simple: Just show the template! :-)
	loadTemplate('Chat');
}

?>
